<template>
    <Page actionBarHidden="true">
        <ScrollView>
            <StackLayout>
                <GridLayout>
                    <Image width="350px" height="154,5px" marginTop="100px"
                        marginBottom="20px"
                        src="~/assets/images/logo.png"
                        stretch="aspectFill" @tap="$router.push('/ratestar', {rate: rate});" />
                </GridLayout>
                <GridLayout>
                    <Image width="400px" height="320px" marginTop="180px"
                        marginBottom="100px"
                        src="~/assets/images/abcd.png"
                        stretch="aspectFill" />
                </GridLayout>
                <GridLayout style="margin: 100px 0px 0px 0px;">
                    <Label text="Bienvenue au" class="service" />
                </GridLayout>
                <GridLayout>
                    <Label :text="nom" class="service" />
                </GridLayout>
            </StackLayout>
        </ScrollView>
    </Page>
</template>

<script>
    import Ratestar from "./Ratestar";

    export default {
        mounted(){
         console.log(this.scan);
         var stock = this.scan.split("/");
         this.rate.serviceId = stock[1];
         console.log(stock[0]);
         // recuperation du service par id
         this.$service.get('/services/listById', {id: stock[1]},(err, data) => {
                if (err) {
                    console.log('erreur :', err);
                     return;
                }

                this.nom = data.service.name;
                this.rate.serviceId = data.service._id;

               // this.$router.push('/ratestar', {rate: this.rate});
            });

        },
        methods: {
            next() {
                this.$navigateTo(Ratestar);
            }
        },
        data() {
            return {
                nom: '',
                rate: {
                    note: '',
                    total: '',
                    clientId: 'keofhn488s8',
                    serviceId: '',
                    commentaire: ''
                }
            };
        },
        props: ['scan'],
        
        
    };
</script>

<style scoped>
    .service {        
        text-align: center;
        font-size: 40px;
        police: Arista, Reglar;
        color: #00A99D;
    }
</style>